<script setup>
import { ShowPage } from '@/app/core/pages/crud';
import model from '@/modules/product/models/brand';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new ShowPage({
            context: this,
            title: this.__('Просмотр'),
            titleField: 'name',
            breadcrumbs: [
                {
                    label: this.__('Бренды'),
                    path: 'product/brand',
                    query: {
                        'with[0]': 'creator',
                    },
                },
            ],
            model: model,
            http: {
                path: 'product/brand/:id',
            },
        });
    },
};
</script>

<template>
    <PageTitle :text="title" />
    <Item child="show" />
</template>
